Page MenuHomePhabricator

Create a tool for review stats
Closed, ResolvedPublic

Description

To motivate recent changes patrolling, create a tool that displays per-user review stats and ranks users by their review activity. This is intended for FlaggedRevs wikis although if it's easy to make it work elsewhere too (using patrolling actions), that would be a nice extra.

Features:

  • count non-automatic reviews done by a user
  • filter on time period (this week, this month, this year, last 7 days, last 30 days, last 1 year, all time)
  • rank users by count

A similar tool (for plain patrolling, not FlaggedRevs, I think) is patrolstats. There is also Special:ValidationStatistics but it only displays stats from the last hour so it's not really useful.

This should probably be a Toolforge tool, although if it turns out to be easy on the DB, it could just be added to Special:ValidationStatistics.

Related Objects

Event Timeline

Tgr created this task.Jan 6 2018, 1:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2018, 1:41 AM
Tgr added a comment.Jan 6 2018, 1:59 AM

Poor man's version: https://quarry.wmflabs.org/query/23923
Maybe it would make more sense to build a nice templating system for Quarry :)

Tgr updated the task description. (Show Details)Jan 6 2018, 2:00 AM
Samat awarded a token.Jan 6 2018, 10:31 AM
Tgr moved this task from Backlog to Huwiki on the User-Tgr board.Mar 4 2018, 4:48 AM
238482n375 set Security to Software security bug.Jun 15 2018, 8:04 AM
238482n375 added a project: Security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".
Aklapper removed a subscriber: 238482n375.
Restricted Application added a project: Security. · View Herald TranscriptJun 18 2018, 6:58 PM
Bencemac closed this task as Resolved.Apr 15 2019, 7:44 PM
Bencemac claimed this task.

@Tgr; I mark this as resolved because T171992 has all of these abilities and features, so in my honest opinion, there is nothing more to do.